summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohn Tyree <gummyduk@gmail.com>2010-05-11 22:54:40 +0200
committerDavid Somero <xgizzmo@slackbuilds.org>2010-05-11 22:54:40 +0200
commit05de033c200b66efd1a6b04ef8d322c6d30978eb (patch)
treec7e4c19ef42e1440f6876195613103ff948fc1d7
parent8cf1fc1a219ad1941d35d074475a1f0163dff99b (diff)
downloadslackbuilds-05de033c200b66efd1a6b04ef8d322c6d30978eb.tar.gz
network/bot-sentry: Added to 12.1 repository
-rw-r--r--network/bot-sentry/README5
-rw-r--r--network/bot-sentry/bot-sentry.SlackBuild66
-rw-r--r--network/bot-sentry/bot-sentry.info8
-rw-r--r--network/bot-sentry/slack-desc19
4 files changed, 98 insertions, 0 deletions
diff --git a/network/bot-sentry/README b/network/bot-sentry/README
new file mode 100644
index 0000000000..9d331e18f8
--- /dev/null
+++ b/network/bot-sentry/README
@@ -0,0 +1,5 @@
+Bot Sentry is a Pidgin (libpurple) plugin to prevent Instant
+Message (IM) spam. It allows you to ignore IMs unless the
+sender is in your Buddy List, the sender is in your Allow List,
+or the sender correctly answers a question you have
+predefined.
diff --git a/network/bot-sentry/bot-sentry.SlackBuild b/network/bot-sentry/bot-sentry.SlackBuild
new file mode 100644
index 0000000000..65a4411f77
--- /dev/null
+++ b/network/bot-sentry/bot-sentry.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+#
+# Slackware build script for bot-sentry
+#
+# Written by John Tyree <gummyduk@gmail.com>.
+
+PRGNAM=bot-sentry
+VERSION=1.3.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/bot-sentry/bot-sentry.info b/network/bot-sentry/bot-sentry.info
new file mode 100644
index 0000000000..ba4c35f0b9
--- /dev/null
+++ b/network/bot-sentry/bot-sentry.info
@@ -0,0 +1,8 @@
+PRGNAM="bot-sentry"
+VERSION="1.3.0"
+HOMEPAGE="http://pidgin-bs.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/pidgin-bs/bot-sentry-1.3.0.tar.bz2"
+MD5SUM="81ed178b982fbaa176c96da792464e43"
+MAINTAINER="John Tyree"
+EMAIL="gummyduk@gmail.com"
+APPROVED="dsomero"
diff --git a/network/bot-sentry/slack-desc b/network/bot-sentry/slack-desc
new file mode 100644
index 0000000000..c66eb7815a
--- /dev/null
+++ b/network/bot-sentry/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------|
+bot-sentry: bot-sentry (Pidgin plugin to prevent Instant Message spam)
+bot-sentry:
+bot-sentry: Bot Sentry is a Pidgin (libpurple) plugin to prevent Instant
+bot-sentry: Message (IM) spam. It allows you to ignore IMs unless the
+bot-sentry: sender is in your Buddy List, the sender is your Allow List,
+bot-sentry: or the sender correctly answers a question you have
+bot-sentry: predefined.
+bot-sentry:
+bot-sentry: Homepage: http://pidgin-bs.sourceforge.net/
+bot-sentry:
+bot-sentry: